Skip to content

getMaintenanceDispatchItemTrackedEntities

READ

Get maintenance dispatch item tracked entities.

POST /api/v1/resources/getMaintenanceDispatchItemTrackedEntities
curl -X POST '<your-host>/api/v1/resources/getMaintenanceDispatchItemTrackedEntities' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "maintenanceDispatchItemId": "string"
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "id": "string",
      "maintenanceDispatchItemId": "string",
      "quantity": 0,
      "trackedEntityId": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "trackedEntity": {
        "id": "string",
        "quantity": 0,
        "status": "Rejected",
        "readableId": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "maintenanceDispatchItemId": {
      "type": "string"
    }
  },
  "required": [
    "maintenanceDispatchItemId"
  ]
}